Mean coordinate with unique field fails

2017-01-12 06:49 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee:

Category: Tests Suite

Affected QGIS version:master Regression?: No

Operating System: Linux mint Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23981

Description

With the default data (but tested also with other custom data) the test of Mean Coordinate with unique field selected always fails:

4: AssertionError: 'Point (3 1.5)' != 'Point (3.4 -1.2)'

4: - Point (3 1.5)

4: ?         ^  ^

4: + Point (3.4 -1.2)

4: ?         ^^^^  ^

4:  : Features 1/1 differ in geometry: 

4: 

4:  Point (3 1.5)

dataset used is custom/points.shp with unique field id2

The result seems ok, only the test fails (tried also with the comparing geometry option)

        type: vector

        compare:

          geometry:

            precision: 5

With no parameters selected (standard Mean Coordinates) both result and test are ok

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-05-04 02:07 PM - matteo ghetta

- Resolution set to fixed/implemented

- Description updated

#3 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
#4 - 2019-03-18 07:38 AM - matteo ghetta

- Status changed from Feedback to Closed
